Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport.client
Class EPPProxyServer

    java.lang.Object
      com.verisign.epp.transport.client.EPPProxyServer

    public class EPPProxyServer

extends java.lang.Object

Represents a Proxy Server with an IP address / Host Name and a port number. Utility methods are includes to help parse the `EPPEnv.getProxyServers()` value which is driven by the `EPP.ProxyServers` configuration property.

Field Summary
`static int` | `DEFAULT_PORT` Constant for when no port has been defined.

Constructor Summary
`EPPProxyServer()` Default constructor
`EPPProxyServer(java.lang.String aServerName, int aServerPort)` Constructor that takes both the server name and port.

Method Summary
`void` | `decodeConfigItem(java.lang.String aConfigItem)` Parsing a proxy server configuration item that meets the regular expression. "^\[?
`java.lang.String` | `getServerName()` Gets the proxy server name or IP address.
`int` | `getServerPort()` Gets the proxy server port number.
`void` | `setServerName(java.lang.String aServerName)` Sets the proxy server name or IP address.
`void` | `setServerPort(int aServerPort)` Sets the proxy server port number.
`java.lang.String` | `toString()` Convert the `EPPProxyServer` attributes into a `String` by separating the name and port with a colon and enclosing the name in braces if the name contains a colon to support encoding an IPv6 proxy server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static int DEFAULT_PORT

  Constant for when no port has been defined.

Constructor Detail

### EPPProxyServer

    public EPPProxyServer()

  Default constructor

### EPPProxyServer

    public EPPProxyServer(java.lang.String aServerName,
                          int aServerPort)

  Constructor that takes both the server name and port.

  Parameters:
    `aServerName` - Server name or IP address of proxy server
    `aServerPort` - Server port of proxy server

Method Detail

### getServerName

    public java.lang.String getServerName()

  Gets the proxy server name or IP address.

  Returns:
    Proxy server name if set; `null` otherwise.

### setServerName

    public void setServerName(java.lang.String aServerName)

  Sets the proxy server name or IP address.

  Parameters:
    `aServerName` - Proxy server name or IP address.

### getServerPort

    public int getServerPort()

  Gets the proxy server port number.

  Returns:
    proxy server port number with default of `DEFAULT_PORT` if not explicitly set.

### setServerPort

    public void setServerPort(int aServerPort)

  Sets the proxy server port number.

  Parameters:
    `aServerPort` - proxy server port number

### decodeConfigItem

    public void decodeConfigItem(java.lang.String aConfigItem)
                          throws EPPConException

  Parsing a proxy server configuration item that meets the regular expression. "^\[?(\S+)\]?:(\d+)$". IPv6 addresses need to be encapsulated in brackets since they use ':' as a separator.

  Parameters:
    `aConfigItem` - Proxy server configuration item to parse
  Throws:
    `EPPConException` - failure in parsing the `aConfigItem`

### toString

    public java.lang.String toString()

  Convert the `EPPProxyServer` attributes into a `String` by separating the name and port with a colon and enclosing the name in braces if the name contains a colon to support encoding an IPv6 proxy server.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Encoded `EPPProxyServer` as a `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.